import {fetchBase} from '@/api/doctor/doctorFetch'

//列表查询 疾病信息相关  诊断列表、治疗方案、随访方案
export function fetchDiseaseTypeList(params, loading) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-diagnose-record/manage-record`, body: params, loading })
}

// 查询随访列表
export function getVisitManageList(params, loading) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-record/page`, body: params, loading })
}

// 获取检验项目对码表
export function getInspectCode(configType) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-inspect-item/query-list/${configType}`, loading: true })
}